Bug 466839 - Hwcert Catalog should add the "unknown flagtype" error handle codes in case no hwcert flag types are defined in the database.
Hwcert Catalog should add the "unknown flagtype" error handle codes in case n...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5.2
All Linux
medium Severity low
: ---
: ---
Assigned To: XINSUN
http://hardware.redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 22:14 EDT by XINSUN
Modified: 2009-02-03 23:36 EST (History)
4 users (show)

See Also:
Fixed In Version: 5.3 (hwcert-3.2rh-20090129.0)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-03 23:36:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description XINSUN 2008-10-13 22:14:20 EDT
If there are no hwcert flag types defined in the db, do the hwcert flags set/unset action, fails with this error:
 
 Software error:
 DBD::mysql::st execute failed: You have an error in your SQL syntax;
 check the manual that corresponds to your MySQL server version for the
 right syntax to use near 'AND bug_id = 452916 AND status = '+'' at
 line 1 [for Statement "SELECT id FROM flags WHERE type_id =  AND
 bug_id = 452916 AND status = '+'"] at Bugzilla/DB.pm line 65
 	Bugzilla::DB::SendSQL('SELECT id FROM flags WHERE type_id =  AND
 bug_id = 452916 AND...') called at hwcert.pl line 1804
 	main::ProcessSpecFlag(452916, 2455) called at hwcert.pl line 1995> 	   main::ProcessHwcertQueueFlag(452916, 2455) called at
  /var/www/html/hwcert/post.cgi line 1011


We should add the error codes to handle that.
Comment 7 XINSUN 2008-12-08 09:20:17 EST
Test well and checked in.

Opened a new bug #475199 for correcting the group error message to include this
maintainer message.


Best Regards!
Nicho

Note You need to log in before you can comment on or make changes to this bug.